Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwHost

public class SbwHost

JavaScript host object that provides access to SBW services from JavaScript.

Inner Class Summary
`public static class` | SbwHost.SbmlModel
`public static class` | SbwHost.TextHtmlFormatter

Constructor Summary
`SbwHost()`

Method Summary
`Object` | `getService(String path)` Returns JavaScript proxy for the specified SBW service.
`String` | `help(String path)` Returns description about the specified SBW module, service or service method.
`String` | `list(String path)` List all subelements for the specified SBW module, service or category.
`SbmlModel` | `loadModel(String moduleName, String modelName)` Loads SBML diagram (model) from file or repository.

Constructor Detail

### SbwHost

    public SbwHost()

Method Detail

### getService

    public Object getService(String path)
                       throws java.lang.Exception

  Returns JavaScript proxy for the specified SBW service.
  Parameters:
    path - - path to SBW service relative SbwVisiblePlugin.

### help

    public String help(String path)

  Returns description about the specified SBW module, service or service method.
  Parameters:
    path - - path to SBW element relative SbwVisiblePlugin.

### list

    public String list(String path)

  List all subelements for the specified SBW module, service or category.
  Parameters:
    path - - path to SBW element relative SbwVisiblePlugin.

### loadModel

    public SbmlModel loadModel(String moduleName, String modelName)
                         throws java.lang.Exception

  Loads SBML diagram (model) from file or repository.
  Parameters:
    moduleName - - the repository module name. Use `file` to specify that model should be loaded from file.
    modelName - - model name in the module or model file name.

Association Links

to Class org.apache.log4j.Category

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM